Package twisted :: Package internet :: Module wxsupport

[show private | hide private]
[frames | no frames]

## Module twisted.internet.wxsupport

wxPython support for Twisted.

To use:

       | # given a wxApp instance called myWxAppInstance:
       | from twisted.internet import wxsupport
       | wxsupport.install(myWxAppInstance)

Use Twisted's APIs for running and stopping the event loop, don't use wxPython's methods.

API Stability: stable

Maintainer: Itamar Shtull-Trauring<mailto:twisted@itamarst.org>

Classes
`wxRunner` | Make sure GUI events are handled.

Function Summary
| ``install`(app)` Install the wxPython support, given a wxApp instance

Variable Summary
`SelectReactor` | `reactor`
`FakeModule` | `wxApp`

Function Details

### install(app)

Install the wxPython support, given a wxApp instance

Variable Details

### reactor

  Type:
    `SelectReactor`
  Value:

        <twisted.internet.default.SelectReactor instance at 0x82e8c8c>

### wxApp

  Type:
    `FakeModule`
  Value:

        <Fake wxPython.wx.wxApp>

Generated by Epydoc 1.1 on Thu May 8 13:18:30 2003 | http://epydoc.sf.net